<?php
 require_once 'ButtonGenerator.php';
 
 $accessKey 		 = "ACCESS_KEY";	//Access Key here
 $secretKey 		 = "SECRET_ACCESS_KEY";	//Secret Key here
 $amount			 = "USD 1.00";//Enter the amount you want to collect
 $recurringFrequency = "1 month";	//Billing frequency
 $signatureMethod	 = "HmacSHA256";		//Valid values are  HmacSHA256 and HmacSHA1.
 $description        = 'Mag. Subscription';	 //Description of the item
 $referenceId		 = "Ref 123456".//Optionally, enter an ID that uniquely identifies this transaction
 $abandonUrl         = 'http://yourwebsiteurladdress.com/cancel.php'; //Optionally, enter the URL where senders should be redirected if they cancel their transaction
 $returnUrl          = 'http://yourwebsiteurladdress.com/success.php';	//Optionally enter the URL where buyers should be redirected after they complete the transaction
 $immediateReturn    = "1"; 		 //Optionally, enter "1" if you want to skip the final status page in Amazon Payments
 $processImmediate   = "0"; 		 //Optionally, enter "1" if you want to settle the transaction immediately else "0". Default value is "1" 
 $ipnUrl             = 'http://yourwebsiteurladdress.com/ipn.php'; //Optionally, type the URL of your host page to which Amazon Payments should send the IPN transaction information.
 $collectShippingAddress = null;	 //Optionally, enter "1" if you want Amazon Payments to return the buyer's shipping address as part of the transaction information
 $subscriptionPeriod = "12 months";//Optionally, enter the subscription duration. By default subscription will be for an unlimited period.
 $RecurringStartDate = time();		 //Optionally, enter the start date for the subscription. By default susbcription will be processed as soon as subscription id created 
 $promotionAmount 			= "USD 0.1" ; 	 //Optionally, enter the introductory subscription price.
 $NoOfPromotionTransactions = "2"; //Required if for promotional period referenceId	
 $environment               = "prod";	//Valid values are "sandbox" or "prod"

 try{
		ButtonGenerator::GenerateForm($accessKey,$secretKey,$amount, $description, $referenceId, $immediateReturn,$returnUrl, $abandonUrl, $processImmediate, $ipnUrl, $collectShippingAddress,$signatureMethod,$recurringFrequency,$subscriptionPeriod,$RecurringStartDate,$promotionAmount, $NoOfPromotionTransactions, $environment);

  }catch(Exception $e){
		echo 'Exception : ', $e->getMessage(),"\n";
 }
?>